package com.os.common.constant;


/**
 * MES通用常量信息
 * 
 * @author ruoyi
 */
public class MesConstants
{
    /**
     * 工序编号-出布
     */
    public static final String MES_PROCESS_OUT_CLOTH = "1010";

    /**
     * 工序编号-成型
     */
    public static final String MES_PROCESS_FORMING = "1011";

    /**
     * 工序编号-包胶
     */
    public static final String MES_PROCESS_LAGGING = "1012";

    /**
     * 工序编号-硫化
     */
    public static final String MES_PROCESS_VULCANIZATION = "1020";

    /**
     * 工序编号-270收片
     */
    public static final String MES_PROCESS_270_FILM = "1030";


    /**
     * 上传ERP标识（0未上传 1已上传）
     */
    public static final String MES_IS_ERP_NO = "0";

    /**
     * 上传ERP标识（0未上传 1已上传）
     */
    public static final String MES_IS_ERP_YES = "1";

    /**
     * 生成工资标识（0未生成 1已生成）
     */
    public static final String MES_IS_SALARY_NO = "0";

    /**
     * 生成工资标识（0未生成 1已生成）
     */
    public static final String MES_IS_SALARY_YES = "1";


    /**
     * 工单状态（0未开始 1执行中 2执行完成 3取消 4待执行）
     */
    public static final String MES_PLAN_STATUS_NOT = "0";
    public static final String MES_PLAN_STATUS_IN = "1";
    public static final String MES_PLAN_STATUS_FINISH = "2";
    public static final String MES_PLAN_STATUS_CANCEL = "3";
    public static final String MES_PLAN_STATUS_WAIT = "4";

}
