package com.os.mes.api.domain;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * erp生产计划管理个人详情
 *
 * @author Yinq
 * @date 2024-07-02
 */
public class ERPPersonalDetail implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 上班时间
     */
    @JsonProperty(value = "workontime")
    private String workontime;

    /**
     * 下班时间
     */
    @JsonProperty(value = "workofftime")
    private String workofftime;

    /**
     * 身份证
     */
    @JsonProperty(value = "IDCard")
    private String card;

    /**
     * 完成工作量
     */
    @JsonProperty(value = "workload")
    private BigDecimal workload;

    public String getCard() {
        return card;
    }

    public void setCard(String card) {
        this.card = card;
    }

    public String getWorkontime() {
        return workontime;
    }

    public void setWorkontime(String workontime) {
        this.workontime = workontime;
    }

    public String getWorkofftime() {
        return workofftime;
    }

    public void setWorkofftime(String workofftime) {
        this.workofftime = workofftime;
    }

    public BigDecimal getWorkload() {
        return workload;
    }

    public void setWorkload(BigDecimal workload) {
        this.workload = workload;
    }


}
